#!/bin/bash
# http://gtkspell.sourceforge.net/ 
# script by til (rob~til~freedman~AT~gmail.com)
# modified by sebastian jauch for 2.0.13
#
# depnds on   :
# SOURCE: http://gtkspell.sourceforge.net/download/gtkspell-2.0.13.tar.gz

NAME=gtkspell
VERSION=2.0.13

ARCH=${ARCH:-i486}
CPU=${CPU:-i686}
BUILD=${BUILD:-54.1}
#
CWD=`pwd`
PKG=${CWD}/pkg-${NAME}
SRC=${CWD}/src


PKGNAME=${NAME}-${VERSION}
PACKAGE=${PKGNAME}-${ARCH}-${BUILD}
#
mkdir -p $SRC
mkdir -p $PKG/install
mkdir -p $PKG/usr/{src,doc}/${PKGNAME}
#
# get source
#
if [ ! -f ${PKGNAME}.tar.gz ]; then
   wget -c 
fi
tar xf ${PKGNAME}.tar.gz -C $SRC || exit 1

# start building
cd $SRC/${PKGNAME}
chown -R root.root .

#
CFLAGS="-O2 -march=$ARCH -mtune=$CPU" \
CXXFLAGS="-O2 -march=$ARCH -mtune=$CPU" \
./configure \
  --prefix=/usr \
  --disable-static

make -j2 || exit 1
make install DESTDIR=$PKG || exit 1

# strip symbols
find $PKG | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
find $PKG | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null

# docs
cp ABOUT-NLS AUTHORS COPYING ChangeLog NEWS README\
 $PKG/usr/doc/${PKGNAME}

# put slack-desc in place. Either a supplied one, or some default text.
#    |-----handy-ruler------------------------------------------------------|
cat <<EOF > $PKG/install/slack-desc
$NAME: $NAME (gtk spelling library) 
$NAME:
$NAME: GtkSpell provides word-processor-style highlighting and 
$NAME: replacement of misspelled words in a GtkTextView widget. 
$NAME: 
$NAME: Right-clicking a misspelled word pops up a menu of 
$NAME: suggested replacements.
$NAME: 
$NAME:
$NAME: 
$NAME:
EOF

cd $PKG
# copy files use in creating this build
( cd $CWD
  cp $SRC_FILES $PKG/usr/src/${PKGNAME}
)
# helperline
#find . -printf "%y %m %u %g %p\n" >$CWD/files.pkg

makepkg -l y -c n $CWD/$PACKAGE.tgz

cd $CWD
md5sum $PACKAGE.tgz > $PACKAGE.md5
requiredbuilder -z $PKG > $PACKAGE.dep

rm -fr $SRC $PKG
